# Uses of Class
java.text.DateFormat

Packages that use DateFormat
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.text.spi
Service provider classes for the classes in the java.text package.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of DateFormat in java.text

Subclasses of DateFormat in java.text
Modifier and Type
Class
Description
`class`
`SimpleDateFormat`
`SimpleDateFormat` is a concrete class for formatting and parsing dates in a locale-sensitive manner.
Methods in java.text that return DateFormat
Modifier and Type
Method
Description
`static final DateFormat`
DateFormat.`getDateInstance()`
Gets the date formatter with the default formatting style for the default `FORMAT` locale.
`static final DateFormat`
DateFormat.`getDateInstance(int style)`
Gets the date formatter with the given formatting style for the default `FORMAT` locale.
`static final DateFormat`
DateFormat.`getDateInstance(int style, Locale aLocale)`
Gets the date formatter with the given formatting style for the given locale.
`static final DateFormat`
DateFormat.`getDateTimeInstance()`
Gets the date/time formatter with the default formatting style for the default `FORMAT` locale.
`static final DateFormat`
DateFormat.`getDateTimeInstance(int dateStyle, int timeStyle)`
Gets the date/time formatter with the given date and time formatting styles for the default `FORMAT` locale.
`static final DateFormat`
DateFormat.`getDateTimeInstance(int dateStyle, int timeStyle, Locale aLocale)`
Gets the date/time formatter with the given formatting styles for the given locale.
`static final DateFormat`
DateFormat.`getInstance()`
Get a default date/time formatter that uses the SHORT style for both the date and the time.
`static final DateFormat`
DateFormat.`getTimeInstance()`
Gets the time formatter with the default formatting style for the default `FORMAT` locale.
`static final DateFormat`
DateFormat.`getTimeInstance(int style)`
Gets the time formatter with the given formatting style for the default `FORMAT` locale.
`static final DateFormat`
DateFormat.`getTimeInstance(int style, Locale aLocale)`
Gets the time formatter with the given formatting style for the given locale.

## Uses of DateFormat in java.text.spi

Methods in java.text.spi that return DateFormat
Modifier and Type
Method
Description
`abstract DateFormat`
DateFormatProvider.`getDateInstance(int style, Locale locale)`
Returns a new `DateFormat` instance which formats date with the given formatting style for the specified locale.
`abstract DateFormat`
DateFormatProvider.`getDateTimeInstance(int dateStyle, int timeStyle, Locale locale)`
Returns a new `DateFormat` instance which formats date and time with the given formatting style for the specified locale.
`abstract DateFormat`
DateFormatProvider.`getTimeInstance(int style, Locale locale)`
Returns a new `DateFormat` instance which formats time with the given formatting style for the specified locale.

## Uses of DateFormat in javax.swing.text

Methods in javax.swing.text with parameters of type DateFormat
Modifier and Type
Method
Description
`void`
DateFormatter.`setFormat(DateFormat format)`
Sets the format that dictates the legal values that can be edited and displayed.
Constructors in javax.swing.text with parameters of type DateFormat
Modifier
Constructor
Description
``
`DateFormatter(DateFormat format)`
Returns a DateFormatter configured with the specified `Format` instance.